Application: gvSIG desktop - gvSIG bugs #3322
org.gvsig.desktop fails to compile
04/06/2015 02:37 PM - Cesar Martinez lzquierdo

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Cesar Martinez Izquierdo

Category:

Target version: 2.2.0-2311-rc2

Severity: Minor Add-on version:

gvSIG version: 2.2.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Currently, org.gvsig.desktop does not compile, probably caused by some recent changes as it was compiling 2 weeks ago.

[ERROR] Failed to execute goal org.codehaus.gmaven:gmaven-plugin:1.4:execute (deploy-package) on project
org.gvsig.app.mainplugin: startup failed, script1428322442418.groovy: 53: expecting '}', found 'public' @ line 53, column 120.
[ERROR] 1 error

[ERROR] -> [Help 1]

Associated revisions

Revision 42110 - 04/06/2015 02:41 PM - Cesar Martinez Izquierdo

Corrected typo in groovy script. Fixes #3322

Revision 42125 - 04/20/2015 09:40 AM - Francisco Diaz Carsi

Corrected again typo in groovy script. Fixes #3322

History

#1 - 04/06/2015 02:41 PM - Cesar Martinez lzquierdo
- Status changed from New to Fixed

#2 - 04/07/2015 12:48 PM - Joaquin del Cerro Murciano
hola cesar,
€s un error recurrente.

despues de hacer un "mvn release:deploy" a veces reformatea algun proceso ese codigo y lo junta todo en un linea y da error de sintaxis,
no se por que o que lo hace exactamente.

#3 - 04/07/2015 12:48 PM - Alvaro Anguix
- Status changed from Fixed to Closed

#4 - 04/20/2015 09:39 AM - Francisco Diaz Carsi
- Status changed from Closed to New

Lo ha vuelto a hacer y pienso que es lo que ha provocado que el build 2304 no haya salido.

El problema esta en que junta el final de un método mkdirs con el principio del siguiente mkdir.

Para darle una solucién que perdure (espero), he afadido tras la llave de cierre del método mkdirs un separador de sentencias ";", asi si vuelve a
juntar esas lineas en una sola, el compilador sabra distinguir el final de un método del principio del siguiente.

"Si no puedes con tu enemigo, Unete a él", Sun Tzu en "El arte de la Guerra" :P

#5 - 04/20/2015 09:42 AM - Francisco Diaz Carsi

- % Done changed from 0 to 100
- Status changed from New to Fixed

Applied in changeset svn-gvsig-desktop|r42125.

#6 - 04/21/2015 10:56 AM - Alvaro Anguix

- Status changed from Fixed to Closed

#7 - 06/15/2015 10:23 AM - Joaquin del Cerro Murciano
- Target version set to 2.2.0-2311-rc2
